[gitg] Fix check for return value after git update submodule



commit b4ddb1b218b6a1b5bc9e1554501e4bb45648b311
Author: Jesse van den Kieboom <jessevdk gnome org>
Date:   Sat Nov 26 14:23:56 2016 +0100

    Fix check for return value after git update submodule

 autogen.sh |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index baf0ea6..7d71f0d 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -32,11 +32,11 @@ fi
 
 if ! test -z `which git` && test -d .git; then
         git submodule update --init --recursive
-fi
 
-if [ $? != 0 ]; then
-    echo "*** Failed to download submodules. Maybe you have a bad connection or a submodule was not forked?"
-    exit 1
+        if [ $? != 0 ]; then
+            echo "*** Failed to download submodules. Maybe you have a bad connection or a submodule was not 
forked?"
+            exit 1
+        fi
 fi
 
 autopoint --force


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]